#-------------------------------------------------
#
# Project created by QtCreator 2010-10-21T22:41:40
#
#-------------------------------------------------

QT += core \
    gui \
    sql \
    declarative

TARGET = DaReManager

TEMPLATE = app

//CONFIG+=qtestlib
//CONFIG+=console

SOURCES += src/main.cpp \
    src/ui/DrmUiApplication.cpp \
    src/ui/DrmUiMainWindow.cpp \
    src/sys/templates/DrmSysTmpltsContainer.cpp \
    src/ui/DrmUiFormList.cpp \
    src/sys/DrmSysLog.cpp \
    src/sys/DrmSysDataSet.cpp \
    src/ui/widget/DrmUiWidgetRegistry.cpp \
    src/ui/widget/DrmUiWidgetCard.cpp \
    src/sys/DrmSysObject.cpp \
    src/ui/widget/DrmUiWidgetParagraph.cpp \
    src/ui/widget/DrmUiWidgetStringSentence.cpp \
    src/ui/widget/DrmUiWidget.cpp \
    src/ui/widget/DrmUiWidgetForm.cpp \
    src/ui/widget/DrmUiWidgetBoolSentence.cpp \
    src/ui/widget/DrmUiWidgetNumberSentence.cpp \
    src/ui/widget/DrmUiWidgetDateSentence.cpp \
    src/sys/DrmSysBlock.cpp \
    src/sys/DrmSysCascadeBlock.cpp \
    src/blocks/DrmBlockDBSQLite.cpp \
    src/blocks/DrmBlockFormRegistry.cpp \
    src/blocks/DrmBlockFormCard.cpp \
    src/blocks/DrmBlockForm.cpp \
    src/ui/widget/DrmUiWidgetReferenceSentence.cpp \
    src/ui/widget/DrmUiWidgetParagraphList.cpp \
    src/blocks/DrmBlockDBPostgreSQL.cpp \
    src/sys/DrmSysSQLDataBases.cpp \
    src/sys/DrmSysReplaceFieldsDataSet.cpp

HEADERS += \
    src/ui/DrmUiApplication.h \
    src/ui/DrmUiMainWindow.h \
    src/sys/templates/DrmSysTmpltsContainer.h \
    src/ui/DrmUiFormList.h \
    src/sys/DrmSysLog.h \
    src/sys/DrmSysDataSet.h \
    src/ui/widget/DrmUiWidgetRegistry.h \
    src/ui/widget/DrmUiWidgetCard.h \
    src/sys/DrmSysObject.h \
    src/ui/widget/DrmUiWidgetParagraph.h \
    src/ui/widget/DrmUiWidgetStringSentence.h \
    src/ui/widget/DrmUiWidget.h \
    src/ui/widget/DrmUiWidgetForm.h \
    src/ui/widget/DrmUiWidgetBoolSentence.h \
    src/ui/widget/DrmUiWidgetNumberSentence.h \
    src/ui/widget/DrmUiWidgetDateSentence.h \
    src/sys/DrmSysBlock.h \
    src/sys/DrmSysCascadeBlock.h \
    src/blocks/DrmBlockDBSQLite.h \
    src/blocks/DrmBlockFormRegistry.h \
    src/blocks/DrmBlockFormCard.h \
    src/blocks/DrmBlockForm.h \
    src/ui/widget/DrmUiWidgetReferenceSentence.h \
    src/ui/widget/DrmUiWidgetParagraphList.h \
    src/blocks/DrmBlockDBPostgreSQL.h \
    src/sys/DrmSysSQLDataBases.h \
    src/sys/DrmSysReplaceFieldsDataSet.h

OTHER_FILES += \
    block_configurations/MainBlock.qml \
    block_configurations/em/ProjectCard.qml \
    block_configurations/em/ProjectRegistry.qml \
    block_configurations/em/basis/ExecutionCard.qml \
    block_configurations/em/basis/ExecutionRegistry.qml \
    block_configurations/daremanager/blocks/Form.qml \
    block_configurations/daremanager/blocks/FormRegistry.qml \
    block_configurations/daremanager/blocks/FormCard.qml \
    block_configurations/daremanager/blocks/FormRegistrySelect.qml \
    block_configurations/daremanager/ui/widgets/Registry.qml \
    block_configurations/em/basis/activity_direction/FormCard.qml \
    block_configurations/em/basis/activity_direction/FormRegistry.qml \
    block_configurations/em/daremanager/object_class/FormCard.qml \
    block_configurations/em/daremanager/object_class/FormRegistry.qml \
    block_configurations/em/daremanager/object_class_group/FormCard.qml \
    block_configurations/em/daremanager/object_class_group/FormRegistry.qml \
    block_configurations/DataBaseDrmEm.qml \
    block_configurations/em/daremanager/object_class/DBTable.qml \
    block_configurations/em/daremanager/object_class_group/DBTable.qml \
    project_home_accounting/MainBlock.qml \
    project_home_accounting/DataBase.qml \
    project_home_accounting/account_group/FormRegistry.qml \
    project_home_accounting/account_group/FormCard.qml \
    project_home_accounting/account_group/DBTable.qml \
    project_home_accounting/account/DBTable.qml \
    project_home_accounting/account/FormRegistry.qml \
    project_home_accounting/account/FormCard.qml \
    project_home_accounting/income_expense/DBTable.qml \
    project_home_accounting/income_expense/FormCard.qml \
    project_home_accounting/income_expense/FormRegistry.qml \
    MainBlock.qml \
    Config.qml \
    project_incomes_expenses/MainBlock.qml \
    project_incomes_expenses/DataBase.qml \
    project_incomes_expenses/account/FormRegistry.qml \
    project_incomes_expenses/account/FormCard.qml \
    project_incomes_expenses/account/DBTable.qml \
    project_incomes_expenses/account_group/FormRegistry.qml \
    project_incomes_expenses/account_group/FormCard.qml \
    project_incomes_expenses/account_group/DBTable.qml \
    project_incomes_expenses/income_expense/FormRegistry.qml \
    project_incomes_expenses/income_expense/FormCard.qml \
    project_incomes_expenses/income_expense/DBTable.qml \
    project_incomes_expenses_ru/MainBlock.qml \
    project_incomes_expenses_ru/DataBase.qml \
    project_incomes_expenses_ru/account/FormRegistry.qml \
    project_incomes_expenses_ru/account/FormCard.qml \
    project_incomes_expenses_ru/account/DBTable.qml \
    project_incomes_expenses_ru/account_group/FormRegistry.qml \
    project_incomes_expenses_ru/account_group/FormCard.qml \
    project_incomes_expenses_ru/account_group/DBTable.qml \
    project_incomes_expenses_ru/income_expense/FormRegistry.qml \
    project_incomes_expenses_ru/income_expense/FormCard.qml \
    project_incomes_expenses_ru/income_expense/DBTable.qml \
    project_incomes_expenses_ru/daremanager/blocks/FormRegistrySelect.qml \
    project_incomes_expenses_ru/daremanager/blocks/FormRegistry.qml \
    project_incomes_expenses_ru/daremanager/blocks/FormCard.qml \
    project_incomes_expenses_ru/daremanager/blocks/Form.qml \
    project_incomes_expenses_ru/daremanager/ui/widgets/Registry.qml

RESOURCES +=















































