import DaReManager 0.1 as DRM

import "./" as SELF

DRM.FormRegistry {
    short_name: "Accounting groups"
    full_name: "Accounting groups"

    registry.columns:[
        DRM.FormRegistryColumn {code:'name'; short_name: 'Name'}
        , DRM.FormRegistryColumn {code:'id'; short_name: 'ID'}
    ]

    registry.reload_block:SELF.DBTable{
        input_fields_on: true;
        state: 'sql'
        sql: 'SELECT id, name FROM account_group';
    }

    registry.add_block: SELF.FormCard{
        short_name: "Adding Accounting group"
        full_name: "Do you really want to add Accounting group?"

        confirm_block: SELF.DBTable{state: "insert"}
    }

    registry.open_block: SELF.FormCard{}

    registry.delete_block: SELF.FormCard{
        short_name: "Deleting Accounting group"
        full_name: "Do you really want to delete Accounting group?"

        confirm_block: SELF.DBTable{state: "delete"}
        confirm_shortname: "Delete"

    }

}
